Version v241028.1 Release Date October 28, 2024
Summary
- Workload configuration for Correspondence records
Changelog
User stories list in Engage Squared DevOps
Release code references
- Configuration tables: https://dev.azure.com/education-vic-gov-au/ABC/_git/ABC/commit/6b788244945aeaffc18ac156aeb01558159c634b?refName=refs%2Fheads%2Fmain
- ABC Client: https://dev.azure.com/education-vic-gov-au/ABC/_git/ABC%20Client/commit/3a8a44a9e510922b4cbcc314b426e2672fbe3d04?refName=refs%2Fheads%2Fdev
- ABC Server: https://dev.azure.com/education-vic-gov-au/ABC/_git/ABC%20Server/commit/47a2b5c8e973910516d60781c18624b80625b8f2?refName=refs%2Fheads%2Fdev
- ABC Office Resources: https://dev.azure.com/education-vic-gov-au/ABC/_git/ABC%20Office%20Resources/commit/fd71572a4627da035d1f27cb1a737482fb8dda53?refName=refs%2Fheads%2Fdev
Upgrade steps from previous version (version v240925.1)
The following are deployment steps that are required to upgrade the solution from the previous version. These steps must be followed. Do not complete any manual steps until any outstanding manual steps from previous version(s) have been executed
Manual pre-deployment steps
none
Deployment steps
- Deploy Release-20 for Deploy Config Tables release pipeline in Azure DevOps to the target environment.
- Deploy Release-7 for Deploy Server release pipeline in Azure DevOps to the target environment.
- Deploy Release-8 for Deploy Client release pipeline in Azure DevOps to the target environment.
Manual post-deployment steps
Importing Terms to the SharePoint Term Store
Prerequisites
- Terms-20241101.xml
- ABC Site collection Administrator account
- Ensure PowerShell 7.2 or later is installed
- PnP PowerShell 1.10.2 or later is installed
- App registration for PnP PowerShell https://pnp.github.io/powershell/articles/registerapplication.html
Command to run
To import terms, use the following PowerShell command:
Connect-PnPOnline -Url "[ABC Site url]" -ApplicationId "[PnP Appliction ID]" -Interactive
Invoke-PnPSiteTemplate -Path "[path to Terms-20241101.xml]"
Content types creation
- Start SharePoint content type creation: Make GET request to "https://[ABC Backend base url]/api/StartSharePointContentTypesUpdating?key=[key from app settings]" endpoint of API app. You will need to include Authorization header. Example:
bash
curl 'https://afa-dev-r1-abc-01.azurewebsites.net/api/StartSharePointContentTypesUpdating?key=SharePointContentTypesUpdatingKey' \
-H 'accept: */*' \
-H 'authorization: Bearer [berear token value]'
- To extract authorization header value from ABC app, open ABC application in browser and log into the application using ABC Admin account
- Open DevTools in browser (F12 button)
- Open 'Network' tab in DevTools, set '/api/' value in 'Filter' input
- Refresh the home page (F5 hotkey)
- In the list of requests, select any with 'fetch' value in 'type' column
- In 'Request Headers' section, find 'Authorization' header and copy it's value prefix
- Use this value for 'authorization' header in GET request to the endpoint.
- Wait for 20 minutes for the content types to be created.
- Check Log field in the RecordFields table for any errors. If there are any errors, please resolve them before proceeding. After resolving the errors, re-run the above API call.
- Check SharePoint content types and fields if they have been created successfully.
Power BI model and demo dashboard deployment
The PowerBI dashboard (.PBIX) file is in the PowerBI folder. For now, make a copy of it and complete the following steps to configure it for an environment:
- Download and rename the file to something that makes sense.
- Open in the PowerBI editor, and change the following parameters: paramdb_url: the azure tables URL that contains the ABC tables. param_table_name: Multiple parameters that control the names of tables. This will prompt you to update the connection details. Enter an account with access to the table and a key.
- Update the columns. These are defined in various cols_{table_name} parameters. If there are any columns that are not used or must be added, add them to the corresponding cols parameter (following the naming covention in the PowerBI file).
- Open the fn_get_sp_table function in the advanced editor and change the SharePoint site URL. This will again prompt you to fix credentials. Log in with an account that has site owner access to load the user information list.
- Upload the report to a workspace.
Rollback steps to previous version
- Run Deploy Config Tables release pipeline for the previous version in Azure DevOps.
- Run Deploy Server release pipeline for the previous version in Azure DevOps.
- Run Deploy Client release pipeline for the previous version in Azure DevOps.
Known Issues / Adjustments to be made
- Reply Type is causing unexpected behaviour depending on the value selected. See: https://dev.azure.com/engagesq/VIC%20DoE%20-%20ABC/_workitems/edit/54107
- Completer is a required field before Decision stage. See https://dev.azure.com/engagesq/VIC%20DoE%20-%20ABC/_workitems/edit/53717
- Custom fields were added to step three of record creation. See https://dev.azure.com/engagesq/VIC%20DoE%20-%20ABC/_workitems/edit/53926
- Step names and descriptions are to be changed. See https://dev.azure.com/engagesq/VIC%20DoE%20-%20ABC/_workitems/edit/53849
- Fields in screen two are to be renamed. See https://dev.azure.com/engagesq/VIC%20DoE%20-%20ABC/_workitems/edit/53850
- Screen tips in steps 1 and step 2 are to be changed. See https://dev.azure.com/engagesq/VIC%20DoE%20-%20ABC/_workitems/edit/53700